CREATE OR REPLACE PROCEDURE imprimir_salario_minimo IS
	--ATYPE tabela_funcionario IS TABLE OF funcionario.cpf%TYPE INDEX BY BINARY_INTEGER;
	--cpf2 tabela_funcionario.cpf%TYPE;
	TYPE CPF_Reg IS RECORD(num_cpf funcionario.cpf%TYPE);
	CPF CPF_Reg;
	
	quantidade number(3);
	salario_baixo funcionario.salario%TYPE;
	salario funcionario.salario%TYPE;
	cpf_funcionario funcionario.cpf%TYPE;
	
	CURSOR funcionarios_escravos IS SELECT f.cpf, f.salario from funcionario f where f.salario < 420;
		
	BEGIN
	
		SELECT COUNT(*) INTO quantidade from funcionario where funcionario.salario < 420;
		
		OPEN funcionarios_escravos;
		
		FOR contador IN 1 .. quantidade-1	LOOP
			FETCH funcionarios_escravos INTO CPF.num_cpf, salario;
			dbms_output.put_line(TO_CHAR(CPF.num_cpf/*cpf_funcionario*/) || ' ' || TO_CHAR(salario));				
		END LOOP;		
			
			goto fetch_label;
			<<imprimir_label>>
			dbms_output.put_line(TO_CHAR(CPF.num_cpf/*cpf_funcionario*/) || ' ' || TO_CHAR(salario));
			goto fim_label;			
			<<fetch_label>>
			FETCH funcionarios_escravos INTO CPF.num_cpf, salario;
			goto imprimir_label;
			<<fim_label>>
			
			
		CLOSE funcionarios_escravos;
		
	END imprimir_salario_minimo;
/

show errors;

set serveroutput on;
EXECUTE imprimir_salario_minimo();
